Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Class PropertySetRepositoryImpl

    java.lang.Object
      |
      +--com.bea.p13n.content.PropertySetRepositoryImpl

public class PropertySetRepositoryImpl
extends java.lang.Object
implements PropertySetRepository

Property set repository which will aggregate PropertySets from multiple, referenced ContentManager.

This will look in the "java:comp/env/ejb/ContentManagers" JNDI branch (which should be coming from the PropertySetManager's deployment environment). If that is a Context, it will load up all children of the Context as ContentManager homes and return all of their PropertySets.

Constructor Summary
`PropertySetRepositoryImpl()` Constructor.

Method Summary
`boolean` | `addPropertySet(java.lang.String name, PropertySet ps)` Add a PropertySet to this repository.
`void` | `clear()` Clear this repository
`PropertySet` | `getPropertySet(java.lang.String name)` Get the named PropertySet.
`java.lang.String[]` | `getPropertySetNames()` Get all the PropertySet names this contains.
`java.util.Map` | `getPropertySets()` Get all the PropertySets this contains.
`void` | `removePropertySet(java.lang.String name)` Remove a PropertySet from this repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySetRepositoryImpl

    public PropertySetRepositoryImpl()

  Constructor.

  This will initialize the set of ContentManagers to use from the current "java:comp/env/ejb/ContentManagers" JNDI context.

Method Detail

### getPropertySet

    public PropertySet getPropertySet(java.lang.String name)

  Get the named PropertySet.

  This will iterate over our ContentManager in reverse until we find one.

  Specified by:
    getPropertySet in interface PropertySetRepository

  See Also:
    `ContentManager.getPropertySet(java.lang.String)`

### getPropertySets

    public java.util.Map getPropertySets()

  Get all the PropertySets this contains.

  This will iterate over our ContentManagers, aggregating the results of each getPropertySets() call.

  Specified by:
    getPropertySets in interface PropertySetRepository

  See Also:
    `ContentManager.getPropertySets()`

### getPropertySetNames

    public java.lang.String[] getPropertySetNames()

  Get all the PropertySet names this contains.

  This will iterate over our ContentManagers, aggregating the results of each getPropertySetNames() call.

  Specified by:
    getPropertySetNames in interface PropertySetRepository

  See Also:
    `ContentManager.getPropertySetNames()`

### addPropertySet

    public boolean addPropertySet(java.lang.String name,
                                  PropertySet ps)
                           throws java.lang.UnsupportedOperationException

  Add a PropertySet to this repository.

  This operation is not supported.

  Specified by:
    addPropertySet in interface PropertySetRepository

  Throws:
    java.lang.UnsupportedOperationException - always.

### removePropertySet

    public void removePropertySet(java.lang.String name)
                           throws java.lang.UnsupportedOperationException

  Remove a PropertySet from this repository.

  This operation is not supported.

  Specified by:
    removePropertySet in interface PropertySetRepository

  Throws:
    java.lang.UnsupportedOperationException - always.

### clear

    public void clear()
               throws java.lang.UnsupportedOperationException

  Clear this repository

  This operation is not supported.

  Specified by:
    clear in interface PropertySetRepository

  Throws:
    java.lang.UnsupportedOperationException - always.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved